import { IClassMethodDecorator, ClassMethodDecorator, MetadataAdapter, MetadataExtends } from 'tsioc';
import { CorsMetadata } from './metadata';
import { RequestMethod } from '../RequestMethod';
export interface ICorsDecorator<T extends CorsMetadata> extends IClassMethodDecorator<T> {
    (allowMethods?: string | string[] | RequestMethod[], maxAge?: number, allowHeaders?: string | string[]): ClassMethodDecorator;
}
export declare function createCorsDecorator<T extends CorsMetadata>(name: string, adapter?: MetadataAdapter, metadataExtends?: MetadataExtends<T>): ICorsDecorator<T>;
export declare const Cors: ICorsDecorator<CorsMetadata>;
