"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const tsioc_1 = require("tsioc");
const decorators_1 = require("../decorators");
const Application_1 = require("../Application");
const util_1 = require("../util");
const Configuration_1 = require("../Configuration");
const serve = require('koa-static');
let DefaultContentMiddleware = class DefaultContentMiddleware {
    constructor(app, config) {
        this.app = app;
        this.config = config;
    }
    setup() {
        let contents = this.config.contents || ['./public'];
        contents.forEach((content, idx) => {
            let staticPath = tsioc_1.toAbsolutePath(this.config.rootdir, content);
            console.log(`content path ${idx + 1}:`, staticPath);
            this.app.use(serve(staticPath));
        });
    }
};
DefaultContentMiddleware = __decorate([
    decorators_1.Middleware(util_1.symbols.ContentMiddleware),
    __metadata("design:paramtypes", [Application_1.Application, Configuration_1.Configuration])
], DefaultContentMiddleware);
exports.DefaultContentMiddleware = DefaultContentMiddleware;

//# sourceMappingURL=../sourcemaps/middlewares/DefaultContentMiddleware.js.map
