/// <reference types="node" />
import { ResultValue } from './ResultValue';
import { Stream } from 'stream';
import { IContext } from '../IContext';
import { IContainer } from 'tsioc';
/**
 * controller method return result type of file.
 *
 * @export
 * @class FileResult
 */
export declare class FileResult extends ResultValue {
    private file;
    private fileDownloadName;
    constructor(file: string | Buffer | Stream, contentType?: string, fileDownloadName?: string);
    sendValue(ctx: IContext, container: IContainer): Promise<void>;
}
