"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ResultValue_1 = require("./ResultValue");
/**
 * controller method return result type of json.
 * context type 'application/json'
 *
 * @export
 * @class JsonResult
 */
class JsonResult extends ResultValue_1.ResultValue {
    constructor(data) {
        super('application/json');
        this.data = data;
    }
    async sendValue(ctx, container) {
        ctx.type = this.contentType;
        ctx.body = this.data || {};
    }
}
exports.JsonResult = JsonResult;

//# sourceMappingURL=../sourcemaps/restults/JsonResult.js.map
