"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ResultValue_1 = require("./ResultValue");
class RedirectResult extends ResultValue_1.ResultValue {
    constructor(url, alt) {
        super('text/html');
        this.url = url;
        this.alt = alt;
    }
    async sendValue(ctx, container) {
        // ctx.type = this.contentType;
        return ctx.redirect(this.url, this.alt);
    }
}
exports.RedirectResult = RedirectResult;

//# sourceMappingURL=../sourcemaps/restults/RedirectResult.js.map
