"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ResultValue_1 = require("./ResultValue");
/**
 * controller method return result type of view.
 * context type 'text/html'
 *
 * @export
 * @class ViewResult
 */
class ViewResult extends ResultValue_1.ResultValue {
    constructor(name, model) {
        super('text/html');
        this.name = name;
        this.model = model;
    }
    async sendValue(ctx, container) {
        if (!ctx.render) {
            return Promise.reject('view engin middleware no configed!');
        }
        else {
            ctx.type = this.contentType;
            return ctx.render(this.name, this.model);
        }
    }
}
exports.ViewResult = ViewResult;

//# sourceMappingURL=../sourcemaps/restults/ViewResult.js.map
