export declare const IContext: symbol;
/**
 * Authorization
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const IAuthorization: symbol;
/**
 * Configuration
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const IConfiguration: symbol;
/**
 * context middlwware is provider for context of request.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const ContextMiddleware: symbol;
/**
 * content middlwware is static files server.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const ContentMiddleware: symbol;
/**
 * Session middlwware is deal wtih session connect.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const SessionMiddleware: symbol;
/**
 * log middlwware is deal with log for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const LogMiddleware: symbol;
/**
 * route middlwware is deal with route for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const RouterMiddleware: symbol;
/**
 * Cors middlwware is deal with route cors for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const CorsMiddleware: symbol;
/**
 * json middlwware is deal with request body as json for some requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const JsonMiddleware: symbol;
/**
 * Body Parse middlwware is deal with request body for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const BodyParserMiddleware: symbol;
/**
 * view middlwware is render html for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
export declare const ViewsMiddleware: symbol;
