"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IContext = Symbol('IContext');
/**
 * Authorization
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.IAuthorization = Symbol('IAuthorization');
/**
 * Configuration
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.IConfiguration = Symbol('IConfiguration');
/**
 * context middlwware is provider for context of request.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.ContextMiddleware = Symbol('ContextMiddleware');
/**
 * content middlwware is static files server.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.ContentMiddleware = Symbol('ContentMiddleware');
/**
 * Session middlwware is deal wtih session connect.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.SessionMiddleware = Symbol('SessionMiddleware');
/**
 * log middlwware is deal with log for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.LogMiddleware = Symbol('LogMiddleware');
/**
 * route middlwware is deal with route for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.RouterMiddleware = Symbol('RouterMiddleware');
/**
 * Cors middlwware is deal with route cors for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.CorsMiddleware = Symbol('CorsMiddleware');
/**
 * json middlwware is deal with request body as json for some requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.JsonMiddleware = Symbol('JsonMiddleware');
/**
 * Body Parse middlwware is deal with request body for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.BodyParserMiddleware = Symbol('BodyParserMiddleware');
/**
 * view middlwware is render html for requests.
 * it is a symbol id, you can register yourself middleware for this.
 */
exports.ViewsMiddleware = Symbol('ViewsMiddleware');

//# sourceMappingURL=../sourcemaps/util/symbols.js.map
