"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tsioc_1 = require("tsioc");
const util_1 = require("util");
/**
 * Controller decorator and metadata.
 *
 * @Controller
 */
exports.Controller = tsioc_1.createClassDecorator('Controller', (args) => {
    args.next({
        isMetadata: (arg) => tsioc_1.isClassMetadata(arg, ['routePrefix']),
        match: (arg) => util_1.isString(arg),
        setMetadata: (metadata, arg) => {
            metadata.routePrefix = arg;
        }
    });
});

//# sourceMappingURL=../sourcemaps/decorators/Controller.js.map
