"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HttpError extends Error {
    constructor(code, message) {
        super();
        this.code = code;
        if (message) {
            this.message = message;
        }
    }
    toString() {
        return `Http Error: ${this.code}, ${this.message}`;
    }
}
exports.HttpError = HttpError;

//# sourceMappingURL=../sourcemaps/errors/HttpError.js.map
