"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const Application_1 = require("../Application");
const Configuration_1 = require("../Configuration");
const decorators_1 = require("../decorators");
const util_1 = require("../util");
const router_1 = require("../router");
let DefaultCorsMiddleware = class DefaultCorsMiddleware {
    constructor(app, router, config) {
        this.app = app;
        this.router = router;
        this.config = config;
    }
    setup() {
        this.app.use(async (ctx, next) => {
            if (!ctx.status || ctx.status === 404) {
                return this.router.getRoot().options(this.app.container, ctx, next);
            }
        });
    }
};
DefaultCorsMiddleware = __decorate([
    decorators_1.Middleware(util_1.symbols.CorsMiddleware),
    __metadata("design:paramtypes", [Application_1.Application, router_1.Router, Configuration_1.Configuration])
], DefaultCorsMiddleware);
exports.DefaultCorsMiddleware = DefaultCorsMiddleware;

//# sourceMappingURL=../sourcemaps/middlewares/DefaultCorsMiddleware.js.map
