import { ResultValue } from './ResultValue';
import { IContext } from '../IContext';
import { IContainer } from 'tsioc';
/**
 * controller method return result type of view.
 * context type 'text/html'
 *
 * @export
 * @class ViewResult
 */
export declare class ViewResult extends ResultValue {
    private name;
    private model;
    constructor(name: string, model?: object);
    sendValue(ctx: IContext, container: IContainer): Promise<any>;
}
