"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * defer
 *
 * @export
 * @class Defer
 * @template T
 */
class Defer {
    constructor() {
        this.promise = new Promise((resolve, reject) => {
            this.resolve = resolve;
            this.reject = reject;
        });
    }
    static create(then) {
        let defer = new Defer();
        if (then) {
            defer.promise = defer.promise.then(then);
            return defer;
        }
        else {
            return defer;
        }
    }
}
exports.Defer = Defer;

//# sourceMappingURL=../sourcemaps/util/defer.js.map
